package com.tzld.longarticle.recommend.server.common.enums;

import lombok.Getter;

@Getter
public enum LongArticleTextSimilarityStatusEnum {

    WAITING(0, "未判断"),
    AVAILABLE(1, "可用"),
    UNAVAILABLE(2, "不可用"),
    ;

    //0-未判断 1-可用 2-不可用
    private int code;
    private String msg;

    LongArticleTextSimilarityStatusEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static LongArticleTextSimilarityStatusEnum getByCode(int code) {
        for (LongArticleTextSimilarityStatusEnum statusEnum : LongArticleTextSimilarityStatusEnum.values()) {
            if (statusEnum.getCode() == code) {
                return statusEnum;
            }
        }
        return null;
    }
}
