package com.tzld.longarticle.recommend.server.common.enums;

import lombok.Getter;

@Getter
public enum StatusEnum {

    ZERO(0, "0"),
    ONE(1, "1"),
    ;

    private int code;
    private String msg;

    StatusEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static StatusEnum getByCode(int code) {
        for (StatusEnum statusEnum : StatusEnum.values()) {
            if (statusEnum.getCode() == code) {
                return statusEnum;
            }
        }
        return null;
    }
}
