package com.tzld.longarticle.recommend.server.common.enums.aigc;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum ProduceContentAuditStatusEnum {
    // 0-待审核，1-审核通过，2-审核不通过，3-不审核
    waiting(0, "待审核"),
    pass(1, "审核通过"),
    reject(2, "审核不通过"),
    not_audit(3, "不审核"),

    other(999, "其他"),
    ;

    private final Integer val;
    private final String description;

    ProduceContentAuditStatusEnum(Integer val, String description) {
        this.val = val;
        this.description = description;
    }

    public static ProduceContentAuditStatusEnum from(Integer val) {
        for (ProduceContentAuditStatusEnum statusEnum : ProduceContentAuditStatusEnum.values()) {
            if (Objects.equals(statusEnum.val, val)) {
                return statusEnum;
            }
        }
        return other;
    }
}
