package com.tzld.longarticle.recommend.server.common.enums.cgi;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum PQVideoAuditResultEnum {
    WAITING(0, "审核中"),
    PASS(1, "审核通过"),
    REJECT(2, "审核不通过"),

    other(999, "其他"),
    ;

    private final Integer status;
    private final String description;

    PQVideoAuditResultEnum(Integer status, String description) {
        this.status = status;
        this.description = description;
    }

    public static PQVideoAuditResultEnum from(Integer status) {
        for (PQVideoAuditResultEnum statusEnum : PQVideoAuditResultEnum.values()) {
            if (Objects.equals(statusEnum.status, status)) {
                return statusEnum;
            }
        }
        return other;
    }
}
