package com.tzld.longarticle.recommend.server.config.db;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.jdbc.DataSourceBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.sql.DataSource;

@Configuration
public class GrowthDBConfig {

    @Bean(name = "growthDataSource")
    @ConfigurationProperties(prefix = "spring.datasource.growth")
    public DataSource growthDataSource() {
        return DataSourceBuilder.create().build();
    }
}

