package com.tzld.longarticle.recommend.server.mapper.crawler;

import com.tzld.longarticle.recommend.server.model.entity.crawler.Article;
import com.tzld.longarticle.recommend.server.model.vo.ArticleDeleteListVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Set;

@Mapper
public interface ArticleMapper {
    void updateArticleAigcId(String wxsn, String publishContentId, String channelContentId);

    void updateArticleSourceRootId(String wxsn, String sourcePublishContentId, String rootPublishContentId, String rootProduceContentId);

    List<Article> getWaitingFindArticle(Long timestamp);

    List<Article> getByTitleMd5InAndTypeEqualsAndStatusEquals(List<String> titleMd5s, String type, Integer status);

    List<Article> getByGhIdInAndAppMsgIdInAndItemIndexAndTypeEqualsAndStatusEquals(
            Set<String> ghIdList, Set<String> appMsgIdList, Integer itemIndex, String type, Integer status);

    int articleDeleteListCount(String title);

    List<ArticleDeleteListVO> articleDeleteList(String title, int offset, Integer pageSize);
}
