package com.tzld.longarticle.recommend.server.model.dto.kimi;

import lombok.Data;

import java.util.List;

@Data
public class KimiOfficialApiResponse {

    private String id;
    private String object;
    private long created;
    private String model;
    private List<Choice> choices;
    private Usage usage;


    @Data
    public static class Choice {
        private long index;
        private Message message;
        private String finishReason;
    }


    @Data
    public static class Message {
        private String role;
        private String content;
    }

    @Data
    public static class Usage {
        private long promptTokens;
        private long completionTokens;
        private long totalTokens;
    }

}
