package com.tzld.longarticle.recommend.server.model.entity.aigc;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Column;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "produce_plan_exe_record")
public class ProducePlanExeRecord {

    @Id
    @Column(name = "plan_exe_id")
    private String planExeId;

    @Column(name = "plan_id")
    private String planId;

    @Column(name = "channel_content_id")
    private String channelContentId;

    @Column(name = "status")
    private Integer status;

    @Column(name = "error_msg")
    private String errorMsg;

    @Column(name = "create_timestamp")
    private Long createTimestamp;

    @Column(name = "update_timestamp")
    private Long updateTimestamp;

    @Column(name = "produce_timestamp")
    private Long produceTimestamp;

    @Column(name = "audit_status")
    private Integer auditStatus;

    @Column(name = "audit_account")
    private String auditAccount;

    @Column(name = "audit_timestamp")
    private Long auditTimestamp;

    @Column(name = "audit_count")
    private Integer auditCount;

}
