package com.tzld.longarticle.recommend.server.model.entity.aigc;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "produce_task_atom")
public class ProduceTaskAtom {

    @Id
    @Column(name = "task_atom_id")
    private String taskAtomId;
    @Column(name = "task_exe_id")
    private String taskExeId;
    @Column(name = "module_exe_id")
    private String moduleExeId;
    @Column(name = "plan_exe_id")
    private String planExeId;
    @Column(name = "plan_id")
    private String planId;
    @Column(name = "produce_module_type")
    private Integer produceModuleType;
    @Column(name = "task_id")
    private String taskId;
    @Column(name = "task_type")
    private Integer taskType;
    @Column(name = "status")
    private Integer status;
    @Column(name = "error_msg")
    private String errorMsg;
    @Column(name = "model")
    private String model;
    @Column(name = "regenerate_status")
    private Integer regenerateStatus;
    @Column(name = "regenerate_base_atom_id")
    private String regenerateBaseAtomId;
    @Column(name = "exe_timestamp")
    private Long exeTimestamp;
    @Column(name = "finish_timestamp")
    private Long finishTimestamp;
    @Column(name = "create_timestamp")
    private Long createTimestamp;
    @Column(name = "model_param")
    private String modelParam;
    @Column(name = "input")
    private String input;
    @Column(name = "prompt")
    private String prompt;
    @Column(name = "output")
    private String output;

}