package com.tzld.longarticle.recommend.server.model.entity.aigc;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "publish_account")
public class PublishAccount {

    @Id
    @Column(name = "id")
    private String id;

    @Column(name = "channel")
    private Integer channel;

    @Column(name = "name")
    private String name;

    @Column(name = "city_id")
    private String cityId;

    @Column(name = "platform_account_id")
    private String platformAccountId;

    @Column(name = "user_name_id")
    private String userNameId;

    @Column(name = "home_page")
    private String homePage;

    @Column(name = "introduction")
    private String introduction;

    @Column(name = "background_url")
    private String backgroundUrl;

    @Column(name = "avatar_url")
    private String avatarUrl;

    @Column(name = "type")
    private String type;

    @Column(name = "role_prompt")
    private String rolePrompt;

    @Column(name = "remark")
    private String remark;

    @Column(name = "authentication_value")
    private String authenticationValue;

    @Column(name = "token")
    private String token;

    @Column(name = "status")
    private Integer status;

    @Column(name = "message_status")
    private Integer messageStatus;

    @Column(name = "notify_status")
    private Integer notifyStatus;

    @Column(name = "follower_count")
    private Integer followerCount;

    @Column(name = "follower_count_homepage")
    private Integer followerCountHomepage;

    @Column(name = "follower_count_search_account")
    private Integer followerCountSearchAccount;

    @Column(name = "follower_count_search_note")
    private Integer followerCountSearchNote;

    @Column(name = "follower_count_other")
    private Integer followerCountOther;

    @Column(name = "app_id")
    private String appId;

    @Column(name = "refresh_token")
    private String refreshToken;

    @Column(name = "access_token")
    private String accessToken;

    @Column(name = "biz_id")
    private String bizId;

    @Column(name = "gh_id")
    private String ghId;

    @Column(name = "alias")
    private String alias;

    @Column(name = "signature")
    private String signature;

    @Column(name = "refresh_access_token_timestamp")
    private Long refreshAccessTokenTimestamp;

    @Column(name = "daily_max_publish_num")
    private Integer dailyMaxPublishNum;

    @Column(name = "publish_rule")
    private Integer publishRule;

    @Column(name = "pre_auth_code")
    private String preAuthCode;

    @Column(name = "device_num")
    private String deviceNum;

    @Column(name = "create_account")
    private String createAccount;

    @Column(name = "error_msg")
    private String errorMsg;

    @Column(name = "create_timestamp")
    private Long createTimestamp;

    @Column(name = "update_account")
    private String updateAccount;

    @Column(name = "update_timestamp")
    private Long updateTimestamp;

    @Column(name = "authentication_update_timestamp")
    private Long authenticationUpdateTimestamp;

    @Column(name = "authentication_invalid_decision_side")
    private String authenticationInvalidDecisionSide;

}
