package com.tzld.longarticle.recommend.server.model.entity.aigc;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "publish_content")
public class PublishContent {

    @Id
    @Column(name = "id")
    private String id;

    @Column(name = "plan_id")
    private String planId;

    @Column(name = "channel")
    private Integer channel;

    @Column(name = "content_modal")
    private Integer contentModal;

    @Column(name = "source_type")
    private Integer sourceType;

    @Column(name = "source_id")
    private String sourceId;

    @Column(name = "source_local_id")
    private String sourceLocalId;

    @Column(name = "crawler_channel_content_id")
    private String crawlerChannelContentId;

    @Column(name = "status")
    private Integer status;

    @Column(name = "audit_status")
    private Integer auditStatus;

    @Column(name = "audit_reject_reason")
    private String auditRejectReason;

    @Column(name = "publish_account_id")
    private String publishAccountId;

    @Column(name = "publish_stage_id")
    private String publishStageId;

    @Column(name = "publish_stage_url")
    private String publishStageUrl;

    @Column(name = "view_count")
    private Integer viewCount;

    @Column(name = "like_count")
    private Integer likeCount;

    @Column(name = "comment_count")
    private Integer commentCount;

    @Column(name = "share_count")
    private Integer shareCount;

    @Column(name = "collect_count")
    private Integer collectCount;

    @Column(name = "looking_count")
    private Integer lookingCount;

    @Column(name = "fans_increase_count")
    private Integer fansIncreaseCount;

    @Column(name = "page_look_count")
    private Integer pageLookCount;

    @Column(name = "finish_rate")
    private String finishRate;

    @Column(name = "coin_count")
    private Integer coinCount;

    @Column(name = "danmaku_count")
    private Integer danmakuCount;

    @Column(name = "text_centre_adv_reqsuc_count")
    private Integer textCentreAdvReqsucCount;

    @Column(name = "text_centre_adv_expo_count")
    private Integer textCentreAdvExpoCount;

    @Column(name = "text_centre_adv_click_count")
    private Integer textCentreAdvClickCount;

    @Column(name = "text_centre_adv_ecpm")
    private Integer textCentreAdvEcpm;

    @Column(name = "text_centre_adv_income")
    private Integer textCentreAdvIncome;

    @Column(name = "text_tail_adv_reqsuc_count")
    private Integer textTailAdvReqsucCount;

    @Column(name = "text_tail_adv_expo_count")
    private Integer textTailAdvExpoCount;

    @Column(name = "text_tail_adv_click_count")
    private Integer textTailAdvClickCount;

    @Column(name = "text_tail_adv_ecpm")
    private Integer textTailAdvEcpm;

    @Column(name = "text_tail_adv_income")
    private Integer textTailAdvIncome;

    @Column(name = "xhs_location")
    private String xhsLocation;

    @Lob
    @Column(name = "douyin_setting_data")
    private String douyinSettingData;

    @Column(name = "edit_timestamp")
    private Long editTimestamp;

    @Column(name = "edit_account")
    private String editAccount;

    @Column(name = "publish_timestamp")
    private Long publishTimestamp;

    @Column(name = "audit_timestamp")
    private Long auditTimestamp;

    @Column(name = "audit_account")
    private String auditAccount;

    @Column(name = "require_word_num")
    private Integer requireWordNum;

    @Column(name = "require_word_operator")
    private String requireWordOperator;

    @Column(name = "word_num")
    private Integer wordNum;

    @Column(name = "require_similarity_ratio")
    private BigDecimal requireSimilarityRatio;

    @Column(name = "require_similarity_operator")
    private String requireSimilarityOperator;

    @Column(name = "similarity_ratio")
    private BigDecimal similarityRatio;

    @Column(name = "algorithm_score")
    private BigDecimal algorithmScore;

    @Column(name = "algorithm_strategy")
    private String algorithmStrategy;

    @Column(name = "item_index")
    private Integer itemIndex;

    @Column(name = "publish_fail_msg")
    private String publishFailMsg;

    @Column(name = "create_timestamp")
    private Long createTimestamp;

    @Column(name = "create_account")
    private String createAccount;

    @Column(name = "update_timestamp")
    private Long updateTimestamp;
}

