package com.tzld.longarticle.recommend.server.model.entity.aigc;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Column;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "publish_plan")
public class PublishPlan {

    @Id
    @Column(name = "id")
    private String id;

    @Column(name = "name")
    private String name;

    @Column(name = "channel")
    private Integer channel;

    @Column(name = "plan_tag")
    private String planTag;

    @Column(name = "plan_type")
    private Integer planType;

    @Column(name = "account_from")
    private Integer accountFrom;

    @Column(name = "tag_penetrate_flag")
    private Integer tagPenetrateFlag;

    @Column(name = "content_modal")
    private Integer contentModal;

    @Column(name = "active_manual_review")
    private Integer activeManualReview;

    @Column(name = "machine_review_match_mode")
    private Integer machineReviewMatchMode;

    @Column(name = "plan_status")
    private Integer planStatus;

    @Column(name = "error_msg")
    private String errorMsg;

    @Column(name = "next_execute_timestamp")
    private Long nextExecuteTimestamp;

    @Column(name = "last_execute_timestamp")
    private Long lastExecuteTimestamp;

    @Column(name = "create_timestamp")
    private Long createTimestamp;

    @Column(name = "update_timestamp")
    private Long updateTimestamp;

    @Column(name = "create_account")
    private String createAccount;

    @Column(name = "update_account")
    private String updateAccount;

}
