package com.tzld.longarticle.recommend.server.model.entity.crawler;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;
import javax.persistence.Column;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "account_correlation")
@IdClass(AccountCorrelation.PK.class)
public class AccountCorrelation {

    @Id
    @Column(name = "date_str")
    private String dateStr;

    @Id
    @Column(name = "gh_id")
    private String ghId;

    @Id
    @Column(name = "rel_gh_id")
    private String relGhId;

    @Column(name = "account_name")
    private String accountName;

    @Column(name = "rel_account_name")
    private String relAccountName;

    @Column(name = "status")
    private Integer status;

    @Column(name = "correlation")
    private Double correlation;

    @Data
    public static class PK implements Serializable {

        @Column(name = "date_str")
        private String dateStr;
        @Column(name = "gh_id")
        private String ghId;
        @Column(name = "rel_gh_id")
        private String relGhId;

        public PK() {
        }

    }
}

