package com.tzld.longarticle.recommend.server.model.entity.crawler;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "article_sensitive")
public class ArticleSensitive implements Serializable {
    @Id
    private String md5;
    @Column(name = "title")
    private String title;
    @Column(name = "sensitive_suggestion")
    private String sensitiveSuggestion;
    @Column(name = "label")
    private String label;
    @Column(name = "sub_label")
    private String subLabel;
    @Column(name = "response")
    private String response;

}
