package com.tzld.longarticle.recommend.server.model.entity.longArticle;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "account_category")
@IdClass(AccountCategory.PK.class)
public class AccountCategory {

    @Id
    private String dt;
    @Id
    private String ghId;

    @Column(name = "category_map")
    private String categoryMap;

    @Column(name = "status")
    private Integer status;

    @Column(name = "create_timestamp")
    private Long createTimestamp;

    @Column(name = "update_timestamp")
    private Long updateTimestamp;


    @Data
    public static class PK implements Serializable {

        @Column(name = "dt")
        private String dt;
        @Column(name = "gh_id")
        private String ghId;

        public PK() {
        }

    }
}
