package com.tzld.longarticle.recommend.server.model.entity.longArticle;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "long_articles_read_rate")
@IdClass(LongArticlesReadRate.PK.class)
public class LongArticlesReadRate {
    @Id
    @Column(name = "gh_id")
    private String ghId;

    @Id
    @Column(name = "position")
    private int position;

    @Column(name = "account_name")
    private String accountName;

    @Column(name = "fans")
    private Integer fans;

    @Column(name = "read_rate_avg")
    private Double readRateAvg;

    @Column(name = "remark")
    private String remark;

    @Column(name = "articles_count")
    private Integer articlesCount;

    @Column(name = "earliest_publish_time")
    private Date earliestPublishTime;

    @Column(name = "latest_publish_time")
    private Date latestPublishTime;


    @Data
    public static class PK implements Serializable {

        @Column(name = "gh_id", length = 32)
        private String ghId;
        @Column(name = "position")
        private int position;

        public PK() {
        }


    }
}
