package com.tzld.longarticle.recommend.server.model.entity.longArticle;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "long_articles_root_source_id")
public class LongArticlesRootSourceId {

    @Id
    @Column(name = "root_source_id")
    private String rootSourceId;

    @Column(name = "account_name")
    private String accountName;

    @Column(name = "gh_id")
    private String ghId;

    @Column(name = "article_title")
    private String articleTitle;

    @Column(name = "request_time")
    private Long requestTime;

    @Column(name = "trace_id")
    private String traceId;

    @Column(name = "push_type")
    private Integer pushType;

    @Column(name = "video_id")
    private Long videoId;

    @Column(name = "content_id")
    private String contentId;

    @Column(name = "oss_name")
    private String ossName;

}
