package com.tzld.longarticle.recommend.server.model.param;

import com.tzld.longarticle.recommend.server.common.enums.recommend.ArticleTypeEnum;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * @author dyp
 */

@NoArgsConstructor
@Getter
@Setter
public class RecommendParam {
    private String accountId;
    private String accountName;
    private String ghId;
    private String strategy;
    private Integer publishNum;
    private String planId;
    // 默认为群发 ArticleTypeEnum.QUNFA.getVal()
    private String type = ArticleTypeEnum.QUNFA.getVal();
    // true 不记录日志
    private boolean excludeLog = false;
    private String scene;
    private List<Integer> userGroupIds;
    private Boolean replaceSimilarityAccount = false;
}

