package com.tzld.longarticle.recommend.server.model.param;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * @author dyp
 */

@NoArgsConstructor
@Getter
@Setter
public class RecommendRequest {
    private String accountId;
    private String accountName;
    private String ghId;
    private String strategy;
    private Integer publishNum;
    private String planId;
    private Integer pushType;
    // 排除文章位置
    private List<Integer> excludeContentIndex;
    // true 不记录日志
    private boolean excludeLog = false;
    // true 强制走参数策略
    private boolean paramStrategy = false;
}

