package com.tzld.longarticle.recommend.server.model.vo;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.PublishSingleVideoSource;
import lombok.Data;

import java.util.List;
import java.util.stream.Collectors;

@Data
public class ArticleVideoPoolSourceVO {
    private Integer poolId;
    private Integer flowPoolLevel;
    private String sourceId;
    private String title;
    private String coverUrl;

    public static List<ArticleVideoPoolSourceVO> convertFromPublishSingleVideoSource(List<PublishSingleVideoSource> list) {
        return list.stream().map(publishSingleVideoSource -> {
            ArticleVideoPoolSourceVO articleVideoPoolSourceVO = new ArticleVideoPoolSourceVO();
            articleVideoPoolSourceVO.setPoolId(publishSingleVideoSource.getFlowPoolLevel());
            articleVideoPoolSourceVO.setFlowPoolLevel(publishSingleVideoSource.getFlowPoolLevel());
            articleVideoPoolSourceVO.setSourceId(publishSingleVideoSource.getContentTraceId());
            articleVideoPoolSourceVO.setTitle(publishSingleVideoSource.getArticleTitle());
            articleVideoPoolSourceVO.setCoverUrl(publishSingleVideoSource.getCoverUrl());
            return articleVideoPoolSourceVO;
        }).collect(Collectors.toList());
    }
}
