package com.tzld.longarticle.recommend.server.model.vo.aigc;

import com.tzld.longarticle.recommend.server.model.vo.IdNameVO;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.util.List;

@Getter
@Setter
@Accessors(chain = true)
public class ProduceContentListItemVO {
    private String id;
    private String coverImageUrl;
    private List<String> imageUrls;
    private String title;
    private String bodyText;
    private List<String> animationUrls;
    private String prePublishContentId;
    private String prePublishContentIdLink;
    private String actionAccountId;
    private String commentDetail;
    private String letterDetail;
    private String receiveId;
    private String receiveIdLink;
    private String receiveContent;
    private String sendAccountId;
//    private PublishAccountSimpleVO sendAccountData;
    private String replyCommentDetail;
    private String replyLetterDetail;
    private List<String> inputSrtTexts;
    private List<String> inputImageUrls;
    private Integer produceAgainFlag;
    private Long produceAgainCount;
    private Long produceAgainTimestamp;
    private List<String> compositeVideoUrls;
    private Integer compositeStatus;
    private Integer compositeCount;
    private Integer uploadVideoFlag;
    private IdNameVO<String> sourceProducePlan;
//    private List<ProducePlanQuoteVO<String>> quotePublishPlans;
    private String referContentTitle;
    private String referContentLink;
    private String referContentAccountName;
    private String referContentAccountLink;
    private Integer referContentChannel;
//    private List<ProduceReferContentVO> referContents;
    private Long produceTimestamp;
    private Integer auditStatus;
    private String auditAccount;
    private Long auditTimestamp;
    private List<Integer> editModuleTypes;
    private String editAccount;
    private Long editTimestamp;
    private Integer produceStatus;
    private String errorMsg;
//    private List<ProducePlanErrorDetailVO> errorDetails;
    private String tagJson;
//    private List<CrawlerContentMiniProgramVO> miniProgramList;
//    private List<ListFieldValueVO> expressionValue;
    private Integer reviewFlag;
//    private List<ProduceContentReviewStatusVO> reviewStatusList;
    private Integer reviewSetCount;
    private Integer reviewFinishCount;
    private List<String> reviewInfoList;
    private Long lastReviewTimestamp;

}
