package com.tzld.longarticle.recommend.server.repository.aigc;

import com.tzld.longarticle.recommend.server.model.entity.aigc.CrawlerMetaArticle;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CrawlerMetaArticleRepository extends JpaRepository<CrawlerMetaArticle, Long> {

    List<CrawlerMetaArticle> getByChannelContentIdIn(List<String> channelContentIds);

    List<CrawlerMetaArticle> getByUniqueIndexIn(List<String> uniqueIndexList);

}