package com.tzld.longarticle.recommend.server.repository.aigc;

import com.tzld.longarticle.recommend.server.model.entity.aigc.PublishContentOutput;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PublishContentOutputRepository extends JpaRepository<PublishContentOutput, String> {

    List<PublishContentOutput> getByPublishContentIdInAndContentTypeAndSelectStatus(List<String> publishContentIds, Integer contentType, Integer selectStatus);
}