package com.tzld.longarticle.recommend.server.repository.crawler;

import com.tzld.longarticle.recommend.server.model.entity.crawler.AccountCorrelation;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface AccountCorrelationRepository extends JpaRepository<AccountCorrelation, AccountCorrelation.PK> {

    List<AccountCorrelation> findByGhIdAndStatus(String ghId, Integer status);
}