package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.ArticleCategory;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ArticleCategoryRepository extends JpaRepository<ArticleCategory, String> {

    List<ArticleCategory> getByProduceContentIdIn(List<String> produceContentIds);

    List<ArticleCategory> getByStatus(Integer status);

    List<ArticleCategory> getAllByChannelContentIdIn(List<String> channelContentIds);

    List<ArticleCategory> getByStatusAndRetryTimesLessThan(Integer status, Integer retryTimes);
}
