package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.LongArticleCrawlerVideo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface LongArticleCrawlerVideoRepository extends JpaRepository<LongArticleCrawlerVideo, Long> {

    List<LongArticleCrawlerVideo> getByTraceIdIn(List<String> traceIds);

    List<LongArticleCrawlerVideo> getByVideoOssPath(String ossPath);

}