package com.tzld.longarticle.recommend.server.util;

public class MathUtils {
    // Sigmoid函数实现
    public static double sigmoid(double x, double k, double m) {
        return 1.0 / (1.0 + Math.exp(-k * (x - m)));
    }

    public static void main(String[] args) {
        double[] xValues = {0, 25000, 50000, 75000, 100000};  // 示例阅读量

        // 测试不同的 k 值
        double[] kValues = {0.0005, 0.0001, 0.00005};  // 不同的 k 值
        double m = 100;  // 中值

        for (double k : kValues) {
            System.out.println("k = " + k);
            for (double x : xValues) {
                double sigmoidValue = sigmoid(x, k, m);
                System.out.printf("x = %.2f, Sigmoid = %.4f%n", x, sigmoidValue);
            }
            System.out.println();
        }
    }
}
