package com.tzld.longarticle.recommend.server.web;

import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.cgi.BucketDataParam;
import com.tzld.longarticle.recommend.server.model.cgi.ReplyBucketData;
import com.tzld.longarticle.recommend.server.service.cgi.CgiReplyService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/cgi/reply")
@Slf4j
public class CgiReplyController {

    @Autowired
    private CgiReplyService cgiReplyService;

    @PostMapping("/bucketData")
    public CommonResponse<ReplyBucketData> getBucketData(@RequestBody BucketDataParam bucketDataParam) {
        ReplyBucketData replyBucketData = cgiReplyService.getRgiReplyData(bucketDataParam);
        return CommonResponse.success(replyBucketData);
    }

}
