package com.tzld.longarticle.recommend.server.web.recommend;

import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.param.ArticleVideoPoolSourceParam;
import com.tzld.longarticle.recommend.server.model.vo.ArticleVideoPoolSourceVO;
import com.tzld.longarticle.recommend.server.service.ArticleVideoPoolService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/videoPool")
@Slf4j
public class ArticleVideoPoolController {

    @Autowired
    private ArticleVideoPoolService service;
    @PostMapping("/getSource")
    public CommonResponse<List<ArticleVideoPoolSourceVO>> getSource(@RequestBody ArticleVideoPoolSourceParam param) {
        return CommonResponse.success(service.getSource(param));
    }

}
