package com.tzld.longarticle.recommend.server.web.recommend;

import com.tzld.longarticle.recommend.server.service.DataFlushService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/data")
@Slf4j
public class DataFlushController {

    @Autowired
    private DataFlushService service;

    @GetMapping("/flush/get_off_videos")
    public void flushGetOffVideos(Integer pageNum) {
        new Thread(() -> {
            service.flushGetOffVideos(pageNum);
        }).start();
    }
    @GetMapping("/flush/long_articles_root_source_id")
    public void flushLongArticlesRootSourceId(Integer pageNum) {
        new Thread(() -> {
            service.flushLongArticlesRootSourceId(pageNum);
        }).start();
    }
    @GetMapping("/flush/long_articles_crawler_videos")
    public void flushLongArticlesCrawlerVideos(Integer pageNum) {
        new Thread(() -> {
            service.flushLongArticlesCrawlerVideos(pageNum);
        }).start();
    }
    @GetMapping("/flush/long_articles_video")
    public void flushLongArticlesVideos(Integer pageNum, Long id) {
        new Thread(() -> {
            service.flushLongArticlesVideos(pageNum, id);
        }).start();
    }
    @GetMapping("/flush/long_articles_text")
    public void flushLongArticlesText() {
        new Thread(() -> {
            service.flushLongArticlesText();
        }).start();
    }
    @GetMapping("/update/long_article_match_videos/response")
    public void updateLongArticleMatchVideosResponse(Long id) {
        new Thread(() -> {
            service.updateLongArticleMatchVideosResponse(id);
        }).start();
    }


}
