package com.tzld.longarticle.recommend.server.common;

import com.tzld.longarticle.recommend.server.common.constant.LogConstants;
import lombok.extern.slf4j.Slf4j;
import org.slf4j.Marker;
import org.slf4j.MarkerFactory;

@Slf4j
public class CostMonitor {
    public static void logCost(String type, String name, long cost) {
        Marker marker = MarkerFactory.getMarker(LogConstants.MARKER_COST);
        log.info(marker, "{}.{} cost: {}", type, name, cost);
    }
}
