package com.tzld.longarticle.recommend.server.common.enums.aigc;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum PushTypeEnum {
    MANUAL_PUSH(1, "手动推送"),
    AUTO_GROUP_PUBLISH(2, "自动群发"),
    AUTO_PUBLISH(3, "自动发表"),
    ROBOPOST(4, "自动发布"),
    BATCH_GROUP_PUBLISH(5, "分组群发"),
    TRIGGER_PUSH(6, "触发推送"),

    other(999, "其他"),
    ;

    private final Integer val;
    private final String description;

    PushTypeEnum(Integer val, String description) {
        this.val = val;
        this.description = description;
    }

    public static PushTypeEnum from(Integer val) {
        for (PushTypeEnum typeEnum : PushTypeEnum.values()) {
            if (Objects.equals(typeEnum.val, val)) {
                return typeEnum;
            }
        }
        return other;
    }
}
