package com.tzld.longarticle.recommend.server.common.enums.cgi;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum FindFaceStatusEnum {
    EXIST(1, "有违规脸"),
    NOT_EXIST(2, "没有违规脸"),

    other(999, "其他"),
    ;

    private final Integer status;
    private final String description;

    FindFaceStatusEnum(Integer status, String description) {
        this.status = status;
        this.description = description;
    }

    public static FindFaceStatusEnum from(Integer status) {
        for (FindFaceStatusEnum statusEnum : FindFaceStatusEnum.values()) {
            if (Objects.equals(statusEnum.status, status)) {
                return statusEnum;
            }
        }
        return other;
    }
}
