package com.tzld.longarticle.recommend.server.common.enums.recommend;

import lombok.Getter;

@Getter
public enum ArticleDeleteStatusEnum {

    WAITING(0, "WAITING"),
    SUCCESS(1, "SUCCESS"),
    FAIL(2, "FAIL"),
    ;

    private int code;
    private String msg;

    ArticleDeleteStatusEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static ArticleDeleteStatusEnum getByCode(int code) {
        for (ArticleDeleteStatusEnum statusEnum : ArticleDeleteStatusEnum.values()) {
            if (statusEnum.getCode() == code) {
                return statusEnum;
            }
        }
        return null;
    }
}
