package com.tzld.longarticle.recommend.server.common.enums.recommend;

import lombok.Getter;

@Getter
public enum ArticlePoolPromotionSourceStatusEnum {

    WAITING(0, "waiting"),
    FINISH(1, "finish");

    //0-待溯源处理 1-已完成

    private Integer code;
    private String desc;

    ArticlePoolPromotionSourceStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static ArticlePoolPromotionSourceStatusEnum getByCode(Integer code) {
        for (ArticlePoolPromotionSourceStatusEnum status : ArticlePoolPromotionSourceStatusEnum.values()) {
            if (status.getCode().equals(code)) {
                return status;
            }
        }
        return null;
    }

}
