package com.tzld.longarticle.recommend.server.common.enums.recommend;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum ArticleTypeEnum {
    QUNFA("9", "群发"),
    WUXIANLIU("10002", "无限流"),

    ;

    private final String val;
    private final String description;


    ArticleTypeEnum(String val, String description) {
        this.val = val;
        this.description = description;
    }

    public static ArticleTypeEnum from(String val) {
        for (ArticleTypeEnum articleTypeEnum : ArticleTypeEnum.values()) {
            if (Objects.equals(articleTypeEnum.val, val)) {
                return articleTypeEnum;
            }
        }
        return QUNFA;
    }
}
