package com.tzld.longarticle.recommend.server.model.entity.adplatform;

import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
@Entity
@Table(name = "changwen_article_datastat")
public class ChangwenArticleDatastat implements Serializable {

    @Id
    @Column(name = "article_id")
    private String articleId;

    @Column(name = "increase_read_count")
    private Integer increaseReadCount;

    @Column(name = "read_count")
    private Integer readCount;

    @Column(name = "increase_income")
    private BigDecimal increaseIncome;

    @Column(name = "income")
    private BigDecimal income;

    @Column(name = "increase_share_count")
    private Integer increaseShareCount;

    @Column(name = "share_count")
    private Integer shareCount;

    @Column(name = "update_timestamp")
    private Long updateTimestamp;

}