package com.tzld.longarticle.recommend.server.model.entity.aigc;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Column;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "crawler_plan")
public class CrawlerPlan {

    @Id
    @Column(name = "id")
    private String id;

    @Column(name = "plan_type")
    private Integer planType;

    @Column(name = "frequency_type")
    private Integer frequencyType;

    @Column(name = "plan_tag")
    private String planTag;

    @Column(name = "tag_penetrate_flag")
    private Integer tagPenetrateFlag;

    @Column(name = "status")
    private Integer status;

    @Column(name = "name")
    private String name;

    @Column(name = "channel")
    private Integer channel;

    @Column(name = "content_modal")
    private Integer contentModal;

    @Column(name = "crawler_mode")
    private Integer crawlerMode;

    @Column(name = "crawler_mode_value")
    private String crawlerModeValue; // mediumtext 映射为 String

    @Column(name = "has_created_task")
    private boolean hasCreatedTask;

    @Column(name = "crawler_status")
    private Integer crawlerStatus;

    @Column(name = "crawler_comment")
    private Integer crawlerComment;

    @Column(name = "error_msg")
    private String errorMsg;

    @Column(name = "crawler_total_num")
    private Integer crawlerTotalNum;

    @Column(name = "crawler_last_num")
    private Integer crawlerLastNum;

    @Column(name = "analyze_priority")
    private Integer analyzePriority;

    @Column(name = "analyze_status")
    private Integer analyzeStatus;

    @Column(name = "analyze_total_num")
    private Integer analyzeTotalNum;

    @Column(name = "analyze_last_num")
    private Integer analyzeLastNum;

    @Column(name = "filter_account_match_mode")
    private Integer filterAccountMatchMode;

    @Column(name = "filter_content_match_mode")
    private Integer filterContentMatchMode;

    @Column(name = "next_crawler_timestamp")
    private Long nextCrawlerTimestamp;

    @Column(name = "last_crawler_timestamp")
    private Long lastCrawlerTimestamp;

    @Column(name = "next_analyze_timestamp")
    private Long nextAnalyzeTimestamp;

    @Column(name = "last_analyze_timestamp")
    private Long lastAnalyzeTimestamp;

    @Column(name = "create_timestamp")
    private Long createTimestamp;

    @Column(name = "update_timestamp")
    private Long updateTimestamp;

    @Column(name = "create_account")
    private String createAccount;

}

