package com.tzld.longarticle.recommend.server.model.entity.aigc;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Column;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "produce_plan")
public class ProducePlan {

    @Id
    @Column(name = "id")
    private String id;

    @Column(name = "name")
    private String name;

    @Column(name = "produce_modal")
    private Integer produceModal;

    @Column(name = "plan_tag")
    private String planTag;

    @Column(name = "tag_penetrate_flag")
    private Integer tagPenetrateFlag;

    @Column(name = "input_type")
    private Integer inputType;

    @Column(name = "input_modal")
    private Integer inputModal;

    @Column(name = "input_channel")
    private Integer inputChannel;

    @Column(name = "layout_type")
    private Integer layoutType;

    @Column(name = "active_manual_review")
    private Integer activeManualReview;

    @Column(name = "active_manual_review_count")
    private Integer activeManualReviewCount;

    @Column(name = "auto_composite")
    private Integer autoComposite;

    @Column(name = "daily_produce_num")
    private Integer dailyProduceNum;

    @Column(name = "total_produce_num")
    private Integer totalProduceNum;

    @Column(name = "filter_match_mode")
    private Integer filterMatchMode;

    @Column(name = "max_concurrent_num")
    private Integer maxConcurrentNum;

    @Column(name = "plan_status")
    private Integer planStatus;

    @Column(name = "execute_status")
    private Integer executeStatus;

    @Column(name = "next_execute_timestamp")
    private Long nextExecuteTimestamp;

    @Column(name = "last_execute_timestamp")
    private Long lastExecuteTimestamp;

    @Column(name = "create_timestamp")
    private Long createTimestamp;

    @Column(name = "update_timestamp")
    private Long updateTimestamp;

    @Column(name = "create_account")
    private String createAccount;

    @Column(name = "update_account")
    private String updateAccount;

}
