package com.tzld.longarticle.recommend.server.model.entity.aigc;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Column;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "publish_plan_miniprogram_task")
public class PublishPlanMiniprogramTask {

    @Id
    @Column(name = "task_id")
    private String taskId;

    @Column(name = "plan_id")
    private String planId;

    @Column(name = "task_index")
    private Integer taskIndex;

    @Column(name = "name")
    private String name;

    @Column(name = "strategy")
    private String strategy;

    @Column(name = "account_ids")
    private String accountIds;

    @Column(name = "miniprogram_use_type")
    private Integer miniprogramUseType;

}

