package com.tzld.longarticle.recommend.server.model.entity.crawler;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "official_articles_v2")
public class Article implements Serializable {

    @Column(name = "ghId")
    private String ghId;
    @Column(name = "accountName")
    private String accountName;
    @Column(name = "appMsgId")
    private String appMsgId;
    @Column(name = "title")
    private String title;
    @Column(name = "Type")
    private String type;
    @Column(name = "createTime")
    private Long createTime;
    @Column(name = "updateTime")
    private Long updateTime;
//    @Column(name = "Digest")
//    private String digest;
    @Column(name = "ItemIndex")
    private Integer itemIndex;
    @Column(name = "ContentUrl")
    private String contentUrl;
//    @Column(name = "SourceUrl")
//    private String sourceUrl;
//    @Column(name = "CoverImgUrl")
//    private String coverImgUrl;
//    @Column(name = "CoverImgUrl_1_1")
//    private String coverImgUrl_1_1;
//    @Column(name = "CoverImgUrl_255_1")
//    private String coverImgUrl_255_1;
    @Column(name = "ItemShowType")
    private String itemShowType;
    @Column(name = "IsOriginal")
    private String isOriginal;
    @Column(name = "ShowDesc")
    private String showDesc;
//    @Column(name = "ori_content")
//    private String oriContent;
    @Column(name = "show_view_count")
    private Integer showViewCount;
    @Column(name = "show_like_count")
    private Integer showLikeCount;
    @Column(name = "show_zs_count")
    private Integer showZsCount;
    @Column(name = "show_pay_count")
    private Integer showPayCount;
    @Id
    @Column(name = "wx_sn")
    private String wxSn;
//    @Column(name = "baseInfo")
//    private String baseInfo;
    @Column(name = "title_md5")
    private String titleMd5;
    @Column(name = "article_group")
    private String articleGroup;
    @Column(name = "status")
    private Integer status;
    @Column(name = "publish_timestamp")
    private Long publishTimestamp;
    @Column(name = "publish_content_id")
    private String publishContentId;
    @Column(name = "channel_content_id")
    private String channelContentId;
    @Column(name = "source_publish_content_id")
    private String sourcePublishContentId;
    @Column(name = "root_publish_content_id")
    private String rootPublishContentId;
    @Column(name = "root_produce_content_id")
    private String rootProduceContentId;
    @Column(name = "root_source_id_list")
    private String rootSourceIdList;
}

