package com.tzld.longarticle.recommend.server.model.entity.longArticle;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "article_crawler_plan")
public class ArticleCrawlerPlan {

    @Id
    @Column(name = "crawler_plan_id")
    private String crawlerPlanId;

    @Column(name = "name")
    private String name;

    @Column(name = "status")
    private Integer status;

    @Column(name = "create_timestamp")
    private Long createTimestamp;

    @Column(name = "update_timestamp")
    private Long updateTimestamp;
}
