package com.tzld.longarticle.recommend.server.model.entity.longArticle;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "article_pool_promotion_source")
public class ArticlePoolPromotionSource implements Serializable {

    @Id
    @Column(name = "channel_content_id")
    private String channelContentId;
    @Column(name = "source_publish_content_id")
    private String sourcePublishContentId;
    @Column(name = "root_publish_content_id")
    private String rootPublishContentId;
    @Column(name = "root_produce_content_id")
    private String rootProduceContentId;
    @Column(name = "wx_sn")
    private String wxSn;
    @Column(name = "title")
    private String title;
    @Column(name = "title_md5")
    private String titleMd5;
    @Column(name = "level")
    private String level;
    @Column(name = "status")
    private Integer status;
    @Column(name = "deleted")
    private Integer deleted;
    @Column(name = "create_timestamp")
    private Long createTimestamp;
    @Column(name = "update_timestamp")
    private Long updateTimestamp;

}