package com.tzld.longarticle.recommend.server.model.vo;

import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.util.Objects;

@Getter
@Setter
@Accessors(chain = true)
public class IdNameVO<T> {
    private T id;
    private String name;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        IdNameVO<?> idNameVO = (IdNameVO<?>) o;
        return Objects.equals(id, idNameVO.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id);
    }
}
