package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.ArticlePoolPromotionSource;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ArticlePoolPromotionSourceRepository extends JpaRepository<ArticlePoolPromotionSource, String> {

    ArticlePoolPromotionSource getByChannelContentId(String channelContentId);

    List<ArticlePoolPromotionSource> getByChannelContentIdIn(List<String> channelContentIds);

    List<ArticlePoolPromotionSource> getByChannelContentIdInAndStatusAndDeleted(List<String> channelContentIds, Integer status, Integer deleted);

    List<ArticlePoolPromotionSource> getByStatusAndDeleted(Integer status, Integer deleted);

    List<ArticlePoolPromotionSource> getByStatusAndDeletedAndWxSnIsNotNull(Integer status, Integer deleted);
}