package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.ArticleUnsafeTitle;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ArticleUnsafeTitleRepository extends JpaRepository<ArticleUnsafeTitle, String> {

    ArticleUnsafeTitle getByTitleMd5(String titleMd5);

    List<ArticleUnsafeTitle> getByStatus(Integer status);
}
