package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.LongArticleVideoAudit;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface LongArticleVideoAuditRepository extends JpaRepository<LongArticleVideoAudit, LongArticleVideoAudit.PK> {
    LongArticleVideoAudit getByVideoIdAndType(Long videoId, Integer type);

    List<LongArticleVideoAudit> getByVideoIdInAndType(List<Long> videoIds, Integer type);

    List<LongArticleVideoAudit> getByStatusAndTypeAndTaskIdIsNotNull(Integer status, Integer type);
}
