package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.LongArticlesMatchVideo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface LongArticlesMatchVideoRepository extends JpaRepository<LongArticlesMatchVideo, Integer> {

    List<LongArticlesMatchVideo> getByTraceIdIn(List<String> traceIds);

    LongArticlesMatchVideo getByTraceId(String traceId);

    List<LongArticlesMatchVideo> getByContentIdIn(List<String> contentIds);
}
