package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.LongArticlesRootSourceId;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface LongArticlesRootSourceIdRepository extends JpaRepository<LongArticlesRootSourceId, String> {

    List<LongArticlesRootSourceId> getByRootSourceIdIn(List<String> rootSourceIds);

    int countByTraceId(String traceId);
}
