package com.tzld.longarticle.recommend.server.service;

import com.tzld.longarticle.recommend.server.mapper.longArticle.LongArticleBaseMapper;
import com.tzld.longarticle.recommend.server.model.entity.longArticle.PublishSingleVideoSource;
import com.tzld.longarticle.recommend.server.model.param.ArticleVideoPoolSourceParam;
import com.tzld.longarticle.recommend.server.model.vo.ArticleVideoPoolSourceVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ArticleVideoPoolService {

    @Autowired
    private LongArticleBaseMapper longArticleBaseMapper;

    public List<ArticleVideoPoolSourceVO> getSource(ArticleVideoPoolSourceParam param) {
        List<PublishSingleVideoSource> list = longArticleBaseMapper.getPublishSingleVideoSource(param);
        return ArticleVideoPoolSourceVO.convertFromPublishSingleVideoSource(list);
    }
}
