package com.tzld.longarticle.recommend.server.service;

import com.tzld.longarticle.recommend.server.common.ThreadPoolFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author dyp
 */
@Service
@Slf4j
public class WXListenService {
    @Autowired
    private UserManagementService userManagementService;

    @Autowired
    private MessageSendCallbackService messageSendCallbackService;

    public void listenWx(String xmlData) {

        ThreadPoolFactory.defaultPool().submit(() -> {
            userManagementService.listenWx(xmlData);
        });

        ThreadPoolFactory.defaultPool().submit(() -> {
            messageSendCallbackService.listenWx(xmlData);
        });

    }
}
