package com.tzld.longarticle.recommend.server.service.exterior;


import com.tzld.longarticle.recommend.server.common.enums.SecretEnum;
import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.param.AccessTokenParam;
import com.tzld.longarticle.recommend.server.model.vo.AccessTokenVo;

public interface AccessTokenService {

    CommonResponse<AccessTokenVo> getAccessToken(AccessTokenParam param);

    boolean validateAccessToken(String accessToken);

    SecretEnum getSecretEnum(String accessToken);
}
