package com.tzld.longarticle.recommend.server.service.recommend.recall;

import com.tzld.longarticle.recommend.server.model.dto.Content;
import com.tzld.longarticle.recommend.server.service.recommend.filter.FilterParam;

import java.util.List;

/**
 * @author dyp
 */
public class FilterParamFactory {
    public static FilterParam create(RecallParam param, List<Content> contents) {
        FilterParam filterParam = new FilterParam();
        filterParam.setAccountName(param.getAccountName());
        filterParam.setContents(contents);
        filterParam.setAccountId(param.getAccountId());
        filterParam.setStrategy(param.getStrategy());
        filterParam.setGhId(param.getGhId());
        filterParam.setScene(param.getScene());
        filterParam.setType(param.getType());
        return filterParam;
    }
}
