package com.tzld.longarticle.recommend.server.util;

/**
 * @author dyp
 */
public final class NormalizationUtils {
    public static double minMax(double value, double min, double max) {
        if (max == min) {
            return 0; // 防止除以零的情况
        }
        return (value - min) / (max - min);
    }

    public static double min(double value) {
        return Math.min(value - 1, 1);
    }
}
