package com.tzld.longarticle.recommend.server.util.feishu.model;


import com.tzld.longarticle.recommend.server.util.feishu.model.config.MessageConfig;
import com.tzld.longarticle.recommend.server.util.feishu.model.element.BaseElement;
import com.tzld.longarticle.recommend.server.util.feishu.model.header.MessageHeader;

import java.util.List;

/**
 * Create by nieqi on 2021/7/9
 */
public class Message {

    private MessageConfig config;
    private MessageHeader header;
    private List<BaseElement> elements;

    public Message(MessageConfig config, MessageHeader header, List<BaseElement> elements) {
        this.config = config;
        this.header = header;
        this.elements = elements;
    }

    public MessageConfig getConfig() {
        return config;
    }

    public void setConfig(MessageConfig config) {
        this.config = config;
    }

    public MessageHeader getHeader() {
        return header;
    }

    public void setHeader(MessageHeader header) {
        this.header = header;
    }

    public List<BaseElement> getElements() {
        return elements;
    }

    public void setElements(List<BaseElement> elements) {
        this.elements = elements;
    }
}
