package com.tzld.longarticle.recommend.server.web.recommend;

import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.param.PublishContentFilterParam;
import com.tzld.longarticle.recommend.server.model.vo.PublishContentFilterResultVO;
import com.tzld.longarticle.recommend.server.service.recommend.PublishContentFilterService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/filter")
@Slf4j
public class PublishContentFilterController {

    @Autowired
    private PublishContentFilterService service;

    @PostMapping("/publishContent")
    public CommonResponse<List<PublishContentFilterResultVO>> publishContentFilter(@RequestBody PublishContentFilterParam param) {
        return CommonResponse.success(service.publishContentFilter(param));
    }
}
